Subject: Renewal of My EAC at NYC INS

From: [email-masked] (Ming Pan)
Date: Fri, 10 Jun 94 13:46:09 CDT

Dear Netters:

I went to New York City INS office today to apply for extension of my
employment authorization. Because I haven't received anything from NYC INS
since I filed my application last August, the only proof I have is my
employment authorization card they issued me last year. After an officer
accepted my application, he asked me to go to another office to get some
proof that my application is pending. So I did, and had a quarrel with a
lady. She asked me to show my interview letter. I explained my situation
and told her that I even didn't have a receipt notice. She insisted that
she couldn't give me anything without my interview letter. She was very
rude and didn't want to listen to me at all. I got very angry and told her
that if I couldn't get my new EAC I would complain to her supervisor. 
Then I went back to the first office. After he heard my story, he made
a call and talked over the phone for a long time. He told me after the
call that he would renew my work permission and wrote down a new number
which was different from the A-number on my current EAC. I asked him
about the number, he told me that it's the alien registration number
they will give me when I have an interview. And he told me that the INS
is working on a schedule to interview CSPAs from October 1994 (I guess
as soon as visa numbers are available).

So it seems that in New York City we have to wait until as early as
October to get an interview. And the situation should be the same in 
most areas.

Ming Pan